> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solo.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Furnish KYC certificate data via structured JSON



## OpenAPI

````yaml POST /v1/products/kyc_certificate/furnish
openapi: 3.1.0
info:
  title: SOLO Network API
  version: v1
servers:
  - url: https://api.solo.one
    description: Production
  - url: https://api.sandbox.solo.one
    description: Sandbox
security: []
paths:
  /v1/products/kyc_certificate/furnish:
    post:
      tags:
        - KYC Certificate
      summary: Furnish KYC certificate data via structured JSON
      operationId: kyc_certificate_furnish_v1_products_kyc_certificate_furnish_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCCertificateFurnishInput'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCCertificateFurnishOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    KYCCertificateFurnishInput:
      properties:
        network_id:
          type: string
          format: uuid
          title: Network Id
          description: Network scope for the furnishing.
        subnetwork_name:
          type: string
          title: Subnetwork Name
          description: Subnetwork name for policy resolution.
        application_date:
          type: string
          title: Application Date
          description: Application date for policy resolution.
        records:
          items:
            $ref: '#/components/schemas/KYCCertificateFurnishRecord'
          type: array
          title: Records
          description: One or more consumer records to furnish.
      type: object
      required:
        - network_id
        - subnetwork_name
        - application_date
        - records
      title: KYCCertificateFurnishInput
    KYCCertificateFurnishOutput:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        submission_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Submission Id
        profile_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Profile Ids
        counts:
          anyOf:
            - additionalProperties:
                type: integer
              type: object
            - type: 'null'
          title: Counts
      type: object
      title: KYCCertificateFurnishOutput
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KYCCertificateFurnishRecord:
      properties:
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        date_of_birth:
          type: string
          title: Date Of Birth
        social_security_number:
          type: string
          title: Social Security Number
        document_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocumentCaptureEventInput'
              type: array
            - type: 'null'
          title: Document Capture Events
        biometric_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/BiometricCaptureEventInput'
              type: array
            - type: 'null'
          title: Biometric Capture Events
        liveness_check_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/LivenessCheckEventInput'
              type: array
            - type: 'null'
          title: Liveness Check Events
        identity_documents:
          anyOf:
            - items:
                $ref: '#/components/schemas/IdentityDocumentInput'
              type: array
            - type: 'null'
          title: Identity Documents
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressInput'
              type: array
            - type: 'null'
          title: Addresses
      type: object
      required:
        - first_name
        - last_name
        - date_of_birth
        - social_security_number
      title: KYCCertificateFurnishRecord
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentCaptureEventInput:
      properties:
        is_document_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Document Captured
        document_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Capture Timestamp
        is_document_attribute_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Document Attribute Reviewed
        document_attribute_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Attribute Review Timestamp
      additionalProperties: true
      type: object
      title: DocumentCaptureEventInput
    BiometricCaptureEventInput:
      properties:
        is_biometric_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Biometric Captured
        biometric_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Capture Timestamp
        biometric_artifact_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Artifact Type
        biometric_artifact_upload:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Artifact Upload
        is_biometric_attribute_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Biometric Attribute Reviewed
        biometric_attribute_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Biometric Attribute Review Timestamp
      additionalProperties: true
      type: object
      title: BiometricCaptureEventInput
    LivenessCheckEventInput:
      properties:
        is_liveness_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Liveness Captured
        capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Capture Timestamp
        capture_method_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Capture Method Type
        check_result:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Result
        is_liveness_evidence_reviewed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Liveness Evidence Reviewed
        evidence_review_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Evidence Review Timestamp
      additionalProperties: true
      type: object
      title: LivenessCheckEventInput
    IdentityDocumentInput:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        number:
          anyOf:
            - type: integer
            - type: 'null'
          title: Number
        issue_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Date
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Expiration Date
        issuing_authority:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuing Authority
        upload:
          anyOf:
            - type: string
            - type: 'null'
          title: Upload
        are_security_features_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Are Security Features Verified
        is_tampering_detected:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Tampering Detected
        identity_verification_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/IdentityVerificationEventInput'
              type: array
            - type: 'null'
          title: Identity Verification Events
      additionalProperties: true
      type: object
      title: IdentityDocumentInput
    AddressInput:
      properties:
        line_1:
          anyOf:
            - type: string
            - type: 'null'
          title: Line 1
        line_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Line 2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zip:
          anyOf:
            - type: integer
            - type: 'null'
          title: Zip
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        address_capture_events:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressCaptureEventInput'
              type: array
            - type: 'null'
          title: Address Capture Events
      additionalProperties: true
      type: object
      title: AddressInput
    IdentityVerificationEventInput:
      properties:
        is_kyccip:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Kyccip
        kyc_decision:
          anyOf:
            - type: string
            - type: 'null'
          title: KYC Decision
        is_ssn_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Ssn Match
        is_dob_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Dob Match
        is_name_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Name Match
        ssn_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ssn Verified
        name_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Name Verified
        selfie_verification_result:
          anyOf:
            - type: string
            - type: 'null'
          title: Selfie Verification Result
      additionalProperties: true
      type: object
      title: IdentityVerificationEventInput
    AddressCaptureEventInput:
      properties:
        is_address_captured:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Address Captured
        address_capture_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Capture Timestamp
        is_address_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Address Verified
        address_verification_timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Verification Timestamp
        is_match:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Match
        address_verification_method_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Verification Method Type
      additionalProperties: true
      type: object
      title: AddressCaptureEventInput
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````